/*
 *  upkg: tool for manipulating Unreal Tournament packages.
 *  Copyright © 2009-2011 Nick Bowler
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MODPLUG_TYPES_H_
#define MODPLUG_TYPES_H_

#define MOD_TYPE_NONE 0x00
#define MOD_TYPE_MOD  0x01
#define MOD_TYPE_S3M  0x02
#define MOD_TYPE_XM   0x04
#define MOD_TYPE_MED  0x08
#define MOD_TYPE_MTM  0x10
#define MOD_TYPE_IT   0x20
#define MOD_TYPE_669  0x40
#define MOD_TYPE_ULT  0x80
#define MOD_TYPE_STM  0x100
#define MOD_TYPE_FAR  0x200
#define MOD_TYPE_WAV  0x400
#define MOD_TYPE_AMF  0x800
#define MOD_TYPE_AMS  0x1000
#define MOD_TYPE_DSM  0x2000
#define MOD_TYPE_MDL  0x4000
#define MOD_TYPE_OKT  0x8000
#define MOD_TYPE_MID  0x10000
#define MOD_TYPE_DMF  0x20000
#define MOD_TYPE_PTM  0x40000
#define MOD_TYPE_DBM  0x80000
#define MOD_TYPE_MT2  0x100000
#define MOD_TYPE_AMF0 0x200000
#define MOD_TYPE_PSM  0x400000
#define MOD_TYPE_J2B  0x800000
#define MOD_TYPE_ABC  0x1000000
#define MOD_TYPE_PAT  0x2000000
#define MOD_TYPE_UMX  0x80000000 // Fake type
#define MAX_MODTYPE   24

#endif
